import { HttpClient } from '@angular/common/http';
import { ActivatedRouteSnapshot, Router } from '@angular/router';
import { JwtHelperService } from '@auth0/angular-jwt';
import { Subject } from 'rxjs';
import { NgxCoreConfig } from '../../ngx-core-config';
import { StorageService } from '../storage/storage.service';
export declare class AuthService {
    private ngxCoreConfig;
    private jwtHelper;
    private storageService;
    private router;
    private http;
    subChange: Subject<any>;
    constructor(ngxCoreConfig: NgxCoreConfig, jwtHelper: JwtHelperService, storageService: StorageService, router: Router, http: HttpClient);
    /**
     * User has access to the path and valid token.
     * @param route
     */
    canActivate(route: ActivatedRouteSnapshot): boolean;
    /**
     * User has valid token.
     */
    isAuthenticated(): boolean;
    /**
     * Returns user token.
     */
    getToken(): string;
    /**
     * Get a fresh token using the refresh token
     * @param url
     * @param data
     */
    postUserTokenRefresh(url: string, data: any): import("rxjs").Observable<Object>;
    /**
     * Get user role.
     */
    getRole(): any;
    /**
     * Get username.
     */
    getUsername(): any;
    /**
   * Get name.
   */
    getName(): any;
    /**
    * Get user data.
    */
    getUserData(): any;
    /**
     * Data change subject.
     * @param data
     */
    change(data: any): void;
    /**
     * User login.
     * @param url
     * @param data
     */
    login(url: string, data?: any): import("rxjs").Observable<Object>;
    allUsers(url: string, data?: any): import("rxjs").Observable<Object>;
    /**
     * User logout, cookie and storage clear.
     * @param url
     * @param data
     */
    logout(url: string, data?: any): import("rxjs").Observable<Object>;
    /**
     * User logout, cookie and storage clear.
     * @param url
     * @param data
     */
    post(url: string, data?: any): import("rxjs").Observable<Object>;
}
