import { BehaviorSubject } from 'rxjs';
import { NgxCoreConfig } from '../ngx-core-config';
export declare class AppStateService {
    private ngxCoreConfig;
    asObj: Object;
    datachange: BehaviorSubject<any>;
    constructor(ngxCoreConfig: NgxCoreConfig);
    /**
    * Sets the viewState object. Loads the project name and loggedIn = false if first init,
    * else loads it from the localStorage.
    */
    setAppState(): void;
    /**
    * Returns the appState object.
    */
    getAppState(): Object;
    /**
     * Returns the value of the given key from the asObj.
     */
    getAppStateByKey(key: string): any;
    /**
     * Changes the provided key-value pair in the asObj.
     * @param obj
     */
    changeAppState(obj: any): void;
}
