import { Subject } from 'rxjs';
export declare class ViewStateService {
    vsObj: any;
    dataChange: Subject<any>;
    constructor();
    /**
     * Returns the viewState object. (Map<String, any>)
     */
    getViewState(): any;
    /**
     * Sets the viewState - only use it in the view constructor!
     */
    setViewState(obj: any): void;
    /**
     * Returns data that maches the given parameter.
     * @param key Data name.
     */
    getViewStateByKey(key: string): any;
    /**
     * Returns the current view.
     */
    getView(): any;
    /**
     * Changes the view state. Sets the goven data and history, emits the current change.
     * @param obj Current change.
     * @param history History - name of the event.
     */
    changeViewState(obj: any, history?: any): void;
}
